import { type DomainEvent } from '@modules/shared';

export class EmailChangeRequestedEvent implements DomainEvent {
  readonly eventName = 'user.email_change_requested';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly newEmail: string,
    public readonly otpCode: string,
  ) {}
}
